Dependency Convergence

Legend:
[Error]
At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of dependencies (NOD): 151
Number of unique artifacts (NOA): 167
Number of version-conflicting artifacts (NOC): 9
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA):
[Error]
 90 %
Ready for release (100% convergence and no SNAPSHOTS):
[Error]
 Error
You do not have 100% convergence.

Dependencies used in this project

com.beust:jcommander

[Error]
1.48
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- com.garygregory:jcommander-addons:jar:1.0.0:compile
       \- (com.beust:jcommander:jar:1.48:compile - omitted for conflict with 1.72)

1.72
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- com.beust:jcommander:jar:1.72:compile

com.fasterxml.jackson.core:jackson-core

[Error]
2.12.5
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
       +- org.apache.avro:avro:jar:1.11.0:provided
       |  \- com.fasterxml.jackson.core:jackson-core:jar:2.12.5:provided
       \- org.apache.avro:avro-mapred:jar:1.11.0:provided
          +- org.apache.avro:avro-ipc:jar:1.11.0:provided
          |  \- (com.fasterxml.jackson.core:jackson-core:jar:2.12.5:provided - omitted for duplicate)
          \- (com.fasterxml.jackson.core:jackson-core:jar:2.12.5:provided - omitted for duplicate)

2.12.6
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
       \- io.dropwizard.metrics:metrics-json:jar:4.2.7:provided
          \- (com.fasterxml.jackson.core:jackson-core:jar:2.12.6:provided - omitted for conflict with 2.12.5)

2.13.4
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
       +- org.apache.spark:spark-kvstore_2.12:jar:3.3.1:provided
       |  \- (com.fasterxml.jackson.core:jackson-core:jar:2.13.4:provided - omitted for conflict with 2.12.5)
       +- com.fasterxml.jackson.core:jackson-databind:jar:2.13.4.1:provided
       |  \- (com.fasterxml.jackson.core:jackson-core:jar:2.13.4:provided - omitted for conflict with 2.12.5)
       \- com.fasterxml.jackson.module:jackson-module-scala_2.12:jar:2.13.4:provided
          \- (com.fasterxml.jackson.core:jackson-core:jar:2.13.4:provided - omitted for conflict with 2.12.5)

com.fasterxml.jackson.core:jackson-databind

[Error]
2.11.4
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.3.1:provided
       \- org.apache.arrow:arrow-vector:jar:7.0.0:provided
          \- (com.fasterxml.jackson.core:jackson-databind:jar:2.11.4:provided - omitted for conflict with 2.13.4.1)

2.12.2
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
       \- org.json4s:json4s-jackson_2.12:jar:3.7.0-M11:provided
          \- (com.fasterxml.jackson.core:jackson-databind:jar:2.12.2:provided - omitted for conflict with 2.12.5)

2.12.5
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
       +- org.apache.avro:avro:jar:1.11.0:provided
       |  \- (com.fasterxml.jackson.core:jackson-databind:jar:2.12.5:provided - omitted for conflict with 2.13.4.1)
       \- org.apache.avro:avro-mapred:jar:1.11.0:provided
          \- org.apache.avro:avro-ipc:jar:1.11.0:provided
             \- (com.fasterxml.jackson.core:jackson-databind:jar:2.12.5:provided - omitted for duplicate)

2.12.6
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
       \- io.dropwizard.metrics:metrics-json:jar:4.2.7:provided
          \- (com.fasterxml.jackson.core:jackson-databind:jar:2.12.6:provided - omitted for conflict with 2.12.5)

2.13.4
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
       \- com.fasterxml.jackson.module:jackson-module-scala_2.12:jar:2.13.4:provided
          \- (com.fasterxml.jackson.core:jackson-databind:jar:2.13.4:provided - omitted for conflict with 2.13.4.1)

2.13.4.1
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    +- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
    |  +- org.apache.spark:spark-kvstore_2.12:jar:3.3.1:provided
    |  |  \- (com.fasterxml.jackson.core:jackson-databind:jar:2.13.4.1:provided - omitted for conflict with 2.12.5)
    |  +- org.apache.spark:spark-network-common_2.12:jar:3.3.1:provided
    |  |  \- (com.fasterxml.jackson.core:jackson-databind:jar:2.13.4.1:provided - omitted for conflict with 2.12.5)
    |  \- com.fasterxml.jackson.core:jackson-databind:jar:2.13.4.1:provided
    \- org.apache.spark:spark-sql_2.12:jar:3.3.1:provided
       \- (com.fasterxml.jackson.core:jackson-databind:jar:2.13.4.1:provided - omitted for duplicate)

com.github.luben:zstd-jni

[Error]
1.4.9-1
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-sql_2.12:jar:3.3.1:provided
       \- org.apache.parquet:parquet-hadoop:jar:1.12.2:provided
          \- (com.github.luben:zstd-jni:jar:1.4.9-1:provided - omitted for conflict with 1.5.2-1)

1.5.2-1
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
       \- com.github.luben:zstd-jni:jar:1.5.2-1:provided

com.google.protobuf:protobuf-java

[Error]
2.5.0
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-sql_2.12:jar:3.3.1:provided
       \- org.apache.orc:orc-core:jar:1.7.6:provided
          \- com.google.protobuf:protobuf-java:jar:2.5.0:provided

3.14.0
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
       \- org.apache.spark:spark-network-common_2.12:jar:3.3.1:provided
          \- com.google.crypto.tink:tink:jar:1.6.1:provided
             \- (com.google.protobuf:protobuf-java:jar:3.14.0:provided - omitted for conflict with 2.5.0)

commons-codec:commons-codec

[Error]
1.10
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.3.1:provided
       \- org.apache.arrow:arrow-vector:jar:7.0.0:provided
          \- (commons-codec:commons-codec:jar:1.10:provided - omitted for conflict with 1.15)

1.15
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    +- org.apache.spark:spark-catalyst_2.12:jar:3.3.1:provided
    |  \- commons-codec:commons-codec:jar:1.15:provided
    +- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
    |  \- (commons-codec:commons-codec:jar:1.15:provided - omitted for duplicate)
    \- org.apache.spark:spark-sql_2.12:jar:3.3.1:provided
       \- org.apache.orc:orc-mapreduce:jar:1.7.6:provided
          \- (commons-codec:commons-codec:jar:1.15:provided - omitted for duplicate)

org.apache.commons:commons-lang3

[Error]
3.11
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
       \- org.apache.commons:commons-text:jar:1.9:provided
          \- (org.apache.commons:commons-lang3:jar:3.11:provided - omitted for conflict with 3.12.0)

3.12.0
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    +- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
    |  +- org.apache.spark:spark-network-common_2.12:jar:3.3.1:provided
    |  |  \- (org.apache.commons:commons-lang3:jar:3.12.0:provided - omitted for duplicate)
    |  \- org.apache.commons:commons-lang3:jar:3.12.0:provided
    \- org.apache.spark:spark-sql_2.12:jar:3.3.1:provided
       +- org.apache.orc:orc-core:jar:1.7.6:provided
       |  \- (org.apache.commons:commons-lang3:jar:3.12.0:provided - omitted for duplicate)
       \- org.apache.orc:orc-mapreduce:jar:1.7.6:provided
          \- (org.apache.commons:commons-lang3:jar:3.12.0:provided - omitted for duplicate)

org.apache.zookeeper:zookeeper

[Error]
3.4.8
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
       \- org.apache.curator:curator-recipes:jar:2.13.0:provided
          \- org.apache.curator:curator-framework:jar:2.13.0:provided
             \- org.apache.curator:curator-client:jar:2.13.0:provided
                \- (org.apache.zookeeper:zookeeper:jar:3.4.8:provided - omitted for conflict with 3.6.2)

3.6.2
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
       \- org.apache.zookeeper:zookeeper:jar:3.6.2:provided

org.xerial.snappy:snappy-java

[Error]
1.1.8
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-sql_2.12:jar:3.3.1:provided
       \- org.apache.parquet:parquet-hadoop:jar:1.12.2:provided
          \- (org.xerial.snappy:snappy-java:jar:1.1.8:provided - omitted for conflict with 1.1.8.4)

1.1.8.2
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
       +- org.apache.hadoop:hadoop-client-api:jar:3.3.2:provided
       |  \- (org.xerial.snappy:snappy-java:jar:1.1.8.2:provided - omitted for conflict with 1.1.8.4)
       \- org.apache.hadoop:hadoop-client-runtime:jar:3.3.2:provided
          \- (org.xerial.snappy:snappy-java:jar:1.1.8.2:provided - omitted for duplicate)

1.1.8.4
    org.wikimedia.search:glent:jar:0.3.3-SNAPSHOT
    \- org.apache.spark:spark-core_2.12:jar:3.3.1:provided
       +- org.apache.avro:avro-mapred:jar:1.11.0:provided
       |  \- org.apache.avro:avro-ipc:jar:1.11.0:provided
       |     \- (org.xerial.snappy:snappy-java:jar:1.1.8.4:provided - omitted for conflict with 1.1.8.2)
       \- org.xerial.snappy:snappy-java:jar:1.1.8.4:provided